% Funzione che approssima il dato alla quarta cifra decimale (decimi di
% millimetri)
function [X_RL,Y_RL,Z_RL,Xlocal_RL,Ylocal_RL,Zlocal_RL,TempDef_RL] = ...
    approx_RL(X_RL,Y_RL,Z_RL,Xlocal_RL,Ylocal_RL,Zlocal_RL,TempDef_RL,FileName)

text = 'approx_RL function started';
fileID = fopen(FileName,'a');
fmt = '%s \r';
fprintf(fileID,fmt,text);

% X
conv = X_RL*10000;
conv = round(conv);
X_RL = conv/10000;

% X local
conv = Xlocal_RL*10000;
conv = round(conv);
Xlocal_RL = conv/10000;

% Y
conv = Y_RL*10000;
conv = round(conv);
Y_RL = conv/10000;

% Y local
conv = Ylocal_RL*10000;
conv = round(conv);
Ylocal_RL = conv/10000;

% Z
conv = Z_RL*10000;
conv = round(conv);
Z_RL = conv/10000;

% Z local
conv = Zlocal_RL*10000;
conv = round(conv);
Zlocal_RL = conv/10000;

% TempDef
conv = TempDef_RL*10;
conv = round(conv);
TempDef_RL = conv/10;

text = 'approx_RL function worked correctly';
fprintf(fileID,fmt,text);
fclose(fileID);
end
